Mailinglist Archive: opensuse-packaging (174 mails)

< Previous Next >
[opensuse-packaging] requires vs recommends for lang packages
  • From: Vincent Untz <vuntz@xxxxxxxxxxxx>
  • Date: Thu, 5 Mar 2009 18:05:21 +0100
  • Message-id: <20090305170521.GE24217@xxxxxxxxx>
Hey,

The current policy when using lang package is to do:

Requires: %{name}-lang = %{version}

I don't think "Requires" is true. "Recommends" is much more appropriate
I think, since the package works fine without the corresponding lang
package. (There might be a few packages where this isn't true, but those
are exceptions).

Opinions?

Vincent

--
Les gens heureux ne sont pas pressés.
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging+help@xxxxxxxxxxxx

< Previous Next >